DataBindingSourceCreator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.databinding.bindingsource
[Groovy] Interface DataBindingSourceCreator

    org.grails.databinding.bindingsource.DataBindingSourceCreator
      org.codehaus.groovy.grails.web.mime.MimeTypeProvider

All Superinterfaces:
  MimeTypeProvider

    interface DataBindingSourceCreator
    extends MimeTypeProvider

A factory for DataBindingSource instances

See Also:
  DataBindingSourceRegistry
  DataBindingSource

Since:
  2.3

Method Summary
`CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Creates a CollectionDataBindingSource suitable for binding bindingSource to bindingTarget
`DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Creates a DataBindingSource suitable for binding bindingSource to bindingTarget
`java.lang.Class` | `getTargetType()` @return The target type of this creator

Methods inherited from interface MimeTypeProvider
getMimeTypes

Method Detail

### createCollectionDataBindingSource

    CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

  Creates a CollectionDataBindingSource suitable for binding bindingSource to bindingTarget
  throws:
    DataBindingSourceCreationException if an unrecoverable error occurs creating the binding source
  Parameters:
    `mimeType` - a mime type
    `bindingTarget` - the type of the target of the data binding
    `bindingSource` - the value being bound
  Returns:
    a CollectionDataBindingSource

### createDataBindingSource

    DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

  Creates a DataBindingSource suitable for binding bindingSource to bindingTarget
  throws:
    DataBindingSourceCreationException if an unrecoverable error occurs creating the binding source
  Parameters:
    `mimeType` - a mime type
    `bindingTarget` - the type of the target of the data binding
    `bindingSource` - the value being bound
  Returns:
    a DataBindingSource

### getTargetType

    java.lang.Class getTargetType()

  Returns:
    The target type of this creator

Groovy Documentation